<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>A First App</title>
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@next" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <div id="Myapp">
      <div>
        <label for="goal">Goal</label>
        <input type="text" id="goal" v-model="messageData" placeholder="edit me">
        <button v-on:click=addGoal>Add Goal</button>
      </div>
      <ul>
       <li v-for="item in list">
        {{ item }}
      </li>
      </ul>
    </div>
    <!--script src="app.js"></script>-->
  </body>
</html>
